/*==========================================================
 * Program : server.h                      Project : smslink
 * Author  : Philippe Andersson.
 * Date    : 24/08/98
 * Version : 0.04a
 * Notice  : (c) Les Ateliers du Heron, 1998 for Scitex Europe, S.A.
 * Comment : Header file for the parser module.
 *
 * Modification History :
 * - 0.01a (20/08/98) : Initial release.
 * - 0.02a (21/08/98) : Added prompt define.
 * - 0.03a (22/08/98) : Cosmetics.
 * - 0.04a (24/08/98) : Verified SMSC for Proximus network.
 *   Also added a feature preventing to #include twice.
 *========================================================*/

#ifndef _SERVER_H
#define _SERVER_H

#define PROMPT            "SMS> "

#define MAXPHNUMLEN       80
#define MAXMSGLEN         160   /* max msg length for SMS */

#define DEFAULTSMSC       "075/16.16.16"   /* Proximus OK */

/*========================================================*/
/* This is the info structure defining an SMS message */
struct symbols {
  char *smsc;                           /* message center */
  char *destgsm;                       /* destination gsm */
  char *message;                          /* message text */
};
/*--------------------------------------------------------*/

#endif                               /* #ifndef _SERVER_H */

/*==========================================================
 * EOF : server.h
 *===================*/
